package fcf;

import composition.Button;
import inheritance.Shape;
import inheritance.Square;

public class MagicBoxUser {
    public static void main(String[] args) {
        MagicBox<Shape> box = new MagicBox<>();
        box.addItem(new Square(5));
        box.castSpellOnItem(new MagicSpellOMG());

        box.castSpellOnItem((item, a) -> {
            System.out.println("anon inner class " + item + a);
        });

        box.castSpellOnItem(Button::add1);
    }
}
